cURL
curl --request GET \
--url https://api.flipsuite.xyz/v1/community/tipping/wallets/{chain}/inventory \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flipsuite.xyz/v1/community/tipping/wallets/{chain}/inventory"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flipsuite.xyz/v1/community/tipping/wallets/{chain}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletAddress": "0x254075bb012e4afb1787e98cd082ce6abd1ad01b",
"nfts": [
{
"chain": "Polygon",
"contractAddress": "0xb609996e8f1754e63ef08300406c6d7529bb4007",
"tokenId": "14644",
"name": "Rekt Chickens (#14644)",
"imageUrl": "https://i2.seadn.io/polygon/0xb609996e8f1754e63ef08300406c6d7529bb4007/fe21ad4bd257742c508b718db83a81/29fe21ad4bd257742c508b718db83a81.webp?w=1000",
"amount": 1
}
]
}Wallets
Get Inventory
Get shared tipping wallet NFT inventory on a given chain
GET
/
v1
/
community
/
tipping
/
wallets
/
{chain}
/
inventory
cURL
Headers
Your community API key
Path Parameters
Supported blockchain key
Available options:
Abstract, ApeChain, Arbitrum, Atto, Avalanche, Base, Berachain, Blast, BSC, CosmosHub, Cronos, Ethereum, Harmony, HyperCore, HyperEvm, Initia, Injective, Linea, Mitosis, Nano, Nibiru, Optimism, Osmosis, Pepecoin, Plasma, Polygon, Robinhood, SEDA, Sei, SeiEvm, Solana, Somnia, Sonic, Terra, Unichain, Yominet ⌘I